/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-07-19
 * 描述            ：客户满意度调查表头实绩表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Slm.CustomerInformation.vo;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import market.Slm.CustomerInformation.mapper.SlmCustomerSatInfoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_CUSTOMER_SAT_INFO", namespace=SlmCustomerSatInfoMapper.class)
public class SlmCustomerSatInfo extends BaseVO implements Serializable {
	/** 
	 * 实绩编号
	 */ 
	@Id
	private String actual_no;
	public String getActual_no() {
		return this.actual_no;
	}
	public void setActual_no(String actual_no) {
		this.actual_no = actual_no;
	}

	/** 
	 * 调查编号
	 */ 
	@Column
	private String sat_no;
	public String getSat_no() {
		return this.sat_no;
	}
	public void setSat_no(String sat_no) {
		this.sat_no = sat_no;
	}

	/** 
	 * 模板编号
	 */ 
	@Column
	private String model_no;
	public String getModel_no() {
		return this.model_no;
	}
	public void setModel_no(String model_no) {
		this.model_no = model_no;
	}

	/** 
	 * 模板名称
	 */ 
	@Column
	private String model_name;
	public String getModel_name() {
		return this.model_name;
	}
	public void setModel_name(String model_name) {
		this.model_name = model_name;
	}

	/** 
	 * 客户编号
	 */ 
	@Column
	private String customer_no;
	public String getCustomer_no() {
		return this.customer_no;
	}
	public void setCustomer_no(String customer_no) {
		this.customer_no = customer_no;
	}

	/** 
	 * 客户名称
	 */ 
	@Column
	private String customer_name;
	public String getCustomer_name() {
		return this.customer_name;
	}
	public void setCustomer_name(String customer_name) {
		this.customer_name = customer_name;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_man_name;
	public String getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}
	
	/** 
	 * 创建人
	 */ 
	@Column
	private String create_man_no;
	public String getCreate_man_no() {
		return this.create_man_no;
	}
	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	/** 
	 * 职务
	 */ 
	@Column
	private String post;
	public String getPost() {
		return this.post;
	}
	public void setPost(String post) {
		this.post = post;
	}

	/** 
	 * 部门
	 */ 
	@Column
	private String department;
	public String getDepartment() {
		return this.department;
	}
	public void setDepartment(String department) {
		this.department = department;
	}

	/** 
	 * 联系电话
	 */ 
	@Column
	private String contract_tel;
	public String getContract_tel() {
		return this.contract_tel;
	}
	public void setContract_tel(String contract_tel) {
		this.contract_tel = contract_tel;
	}

	/** 
	 * null
	 */ 
	@Column
	private String email;
	public String getEmail() {
		return this.email;
	}
	public void setEmail(String email) {
		this.email = email;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 分数
	 */ 
	@Column
	private Double score;
	public Double getScore() {
		return this.score;
	}
	public void setScore(Double score) {
		this.score = score;
	}

	/** 
	 * 1待填写 2已填写
	 */ 
	@Column
	private String valid_flag;
	public String getValid_flag() {
		return this.valid_flag;
	}
	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	/** 
	 * 填写时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date fill_time;
	public Date getFill_time() {
		return this.fill_time;
	}
	public void setFill_time(Date fill_time) {
		this.fill_time = fill_time;
	}

	/** 
	 * 填写人
	 */ 
	@Column
	private String fill_man_name;
	public String getFill_man_name() {
		return this.fill_man_name;
	}
	public void setFill_man_name(String fill_man_name) {
		this.fill_man_name = fill_man_name;
	}
	
	/** 
	 * 填写人
	 */ 
	@Column
	private String fill_man_no;
	public String getFill_man_no() {
		return this.fill_man_no;
	}
	public void setFill_man_no(String fill_man_no) {
		this.fill_man_no = fill_man_no;
	}

	/**
	 * 客户满意度调查分项实绩表
	 */
	private List<SlmCustomerSatItem> item;
	public List<SlmCustomerSatItem> getItem() {
		return item;
	}
	public void setItem(List<SlmCustomerSatItem> item) {
		this.item = item;
	}

	/**
	 * 客户满意度调查建议实绩表
	 */
	private List<SlmCustomerSatSuggest> suggest;
	public List<SlmCustomerSatSuggest> getSuggest() {
		return suggest;
	}
	public void setSuggest(List<SlmCustomerSatSuggest> suggest) {
		this.suggest = suggest;
	}
	
}
